# Используем официальный образ Bun через зеркало
FROM dockerhub.timeweb.cloud/oven/bun:alpine AS build

WORKDIR /app

# Копируем файлы зависимостей
COPY package.json bun.lockb* ./
RUN bun install

# Копируем проект и собираем
COPY . .
RUN bun run build

# Финальный образ
FROM dockerhub.timeweb.cloud/oven/bun:alpine
WORKDIR /app

# Копируем билд из предыдущего этапа
COPY --from=build /app/dist ./dist
COPY --from=build /app/package.json ./package.json

# Указываем порт
EXPOSE 4321

# Запуск через Bun
CMD ["bun", "./dist/server/entry.mjs"]